#-------------------------------------
# VisualK-OS                          
#    Module: Main Screen Class [v1.0] 
#    Author: Kevin Slaughter          
#-------------------------------------

"""
[Revision History]
    v1.0: Initial implementation... Having the screens encapsulated by
            the ScreenManager class with if-then-else blocks worked at
            first, when not much as required of the program, but more
            complex classes arose out of necessity to shrink/simplify
            the growing source code.
"""

import globals
from VKCC_Constants import *


class cScreenCfgMain(object):
    ### General properties
    color = 4                       # Color theme used within this screen
    title = "Configuration (Main)"  # Title to be displayed
    hasExit = True                  # Flag: Display exit option
    
    
    ### handleKey(): Handle any passed keyboard input independent of GP usage.
    def handleKey(self, c, scr):
        if   (c == KEY_1): scr.changeScreen(SCREEN_CFG_FBA)     # Flood Bank Array cfg
        elif (c == KEY_2): scr.changeScreen(SCREEN_CFG_SS)	    # SynthStation cfg
        elif (c == KEY_3): scr.changeScreen(SCREEN_CFG_THOR)	# Thor cfg
        elif (c == KEY_0): scr.changeScreen(SCREEN_MAIN)	    # Back to main menu
        return
    
    
    ### paint(): Draw any elements used on this screen.
    def paint(self, scr):
        scr.menuPrep(self)
        scr.printText(2,4, "1.) Configure Flood Bank Array")
        scr.printText(2,5, "2.) Configure Synth-Station")
        scr.printText(2,6, "3.) Configure Thor")
        return
    